package com.prolog.cs.biz.inbound.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@ApiModel
public class RcvQueryVO implements Serializable {
	private static final long serialVersionUID = -5437660417870037085L;

	@ApiModelProperty(value = "企业id")
	private String enterpriseId;

	@ApiModelProperty(value = "(*)货主id", position = -1)
	private String mtlOwnerId;

	@ApiModelProperty(value = "(*)仓库id", position = -1)
	private String warehouseId;

	@ApiModelProperty(value = "入库类型")
	private String rcvType;

	@ApiModelProperty(value = "(*)asn单据编号", position = -1)
	private String asnAutoBillNum;

	@ApiModelProperty(value = "(*)收货单号", position = -1)
	private String rcvNo;

	@ApiModelProperty(value = "收货人")
	private String rcvUser;

	@ApiModelProperty(value = "(*)开始时间(收货)", position = -1)
	private Date startTime;

	@ApiModelProperty(value = "(*)结束时间(收货)", position = -1)
	private Date endTime;

	@ApiModelProperty(value = "收货单主键id(查询单条时使用)", hidden = true)
	private String rcvHeaderId;

	@ApiModelProperty(value = "自动单号", hidden = true)
	private String autoBillNum;

	@ApiModelProperty(value = "手工单号(模糊)", hidden = true)
	private String customBillNum;

	@ApiModelProperty(value = "状态", hidden = true)
	private String status;

	@ApiModelProperty(value = "辅助状态(20为已经上传erp)")
	private String statusAs;

	@ApiModelProperty(value = "来源单号列表(ASN)(模糊)", hidden = true)
	private String srcAsnAutoBullNums;

	@ApiModelProperty(value = "包含主键id列表(若是get请求,则传递逗号分隔)", hidden = true)
	private List<String> includeHids;

	@ApiModelProperty(value = "排除主键id列表(若是get请求,则传递逗号分隔)", hidden = true)
	private List<String> excludeHids;


	@ApiModelProperty(value = "任务状态(关联任务池用)", hidden = true)
	private String taskStatus;

	@ApiModelProperty(value = "任务执行的次数", hidden = true)
	private Integer times;

	@ApiModelProperty(value = "收货人", hidden = true)
	private String excuteUser;

//	@ApiModelProperty(value = "(*)单据来源类型(0收货1质检2复检)", position = -1)
//	private String refType;

	// 单据编号
	@ApiModelProperty(value = "(*)单据编号", position = -1)
	private String billNo;
	// 商品助记码
	@ApiModelProperty(value = "(*)商品助记码", position = -1)
	private String itemZjm;



	// 单据编号



	@ApiModelProperty(value = "容器号")
	private String containerCode;

	@ApiModelProperty(value = "建筑物id")
	private String bldgId;


	@ApiModelProperty(value = "质检单号")
	private String rqcNo;
	@ApiModelProperty(value = "质检员(作废)")
	private String qcOpcode1;
	@ApiModelProperty(value = "质检员")
	private String rqcUser;
	// 单位助记码
	@ApiModelProperty(value = "(*)单位助记码(客户/供应商/其他仓(oms下发))", position = -1)
	private String shipperZjm;
	@ApiModelProperty(value = "(*)单位编号", position = -1)
	private String shipperCode;
	@ApiModelProperty(value = "(*)单位名称", position = -1)
	private String shipperName;
//	增加入库类型，收货日期，收货人筛选 ，容器号，建筑物筛选条件
	@ApiModelProperty(value = "(*)单位三合一(助记码/编码/名称模糊查)", position = -1)
	private String shipperCondition;

	@ApiModelProperty(value = "入库类型集合(排除)")
	private List<String> rcvTypeCodes;

	@ApiModelProperty(value = "打印状态0：未打印 1：已打印", position = -1)
	private String printStatus;

	public String getStatusAs() {
		return statusAs;
	}

	public void setStatusAs(String statusAs) {
		this.statusAs = statusAs;
	}

	public List<String> getRcvTypeCodes() {
		return rcvTypeCodes;
	}

	public void setRcvTypeCodes(List<String> rcvTypeCodes) {
		this.rcvTypeCodes = rcvTypeCodes;
	}

	public String getShipperCondition() {
		return shipperCondition;
	}

	public void setShipperCondition(String shipperCondition) {
		this.shipperCondition = shipperCondition;
	}

	public String getQcOpcode1() {
		return qcOpcode1;
	}

	public String getShipperCode() {
		return shipperCode;
	}

	public void setShipperCode(String shipperCode) {
		this.shipperCode = shipperCode;
	}

	public String getShipperName() {
		return shipperName;
	}

	public void setShipperName(String shipperName) {
		this.shipperName = shipperName;
	}

	public String getRqcUser() {
		return rqcUser;
	}

	public void setRqcUser(String rqcUser) {
		this.rqcUser = rqcUser;
	}

	public void setQcOpcode1(String qcOpcode1) {
		this.qcOpcode1 = qcOpcode1;
	}

	public String getRqcNo() {
		return rqcNo;
	}

	public void setRqcNo(String rqcNo) {
		this.rqcNo = rqcNo;
	}

	public String getAsnAutoBillNum() {
		return asnAutoBillNum;
	}

	public String getRcvUser() {
		return rcvUser;
	}

	public void setRcvUser(String rcvUser) {
		this.rcvUser = rcvUser;
	}

	public String getContainerCode() {
		return containerCode;
	}

	public void setContainerCode(String containerCode) {
		this.containerCode = containerCode;
	}

	public String getBldgId() {
		return bldgId;
	}

	public void setBldgId(String bldgId) {
		this.bldgId = bldgId;
	}

	public void setAsnAutoBillNum(String asnAutoBillNum) {
		this.asnAutoBillNum = asnAutoBillNum;
	}

	public String getRcvNo() {
		return rcvNo;
	}

	public void setRcvNo(String rcvNo) {
		this.rcvNo = rcvNo;
	}

	public String getBillNo() {
		return billNo;
	}

	public void setBillNo(String billNo) {
		this.billNo = billNo;
	}

	public String getItemZjm() {
		return itemZjm;
	}

	public void setItemZjm(String itemZjm) {
		this.itemZjm = itemZjm;
	}

	public String getShipperZjm() {
		return shipperZjm;
	}

	public void setShipperZjm(String shipperZjm) {
		this.shipperZjm = shipperZjm;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getExcuteUser() {
		return excuteUser;
	}

	public void setExcuteUser(String excuteUser) {
		this.excuteUser = excuteUser;
	}

	public Integer getTimes() {
		return times;
	}

	public void setTimes(Integer times) {
		this.times = times;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getAutoBillNum() {
		return autoBillNum;
	}

	public void setAutoBillNum(String autoBillNum) {
		this.autoBillNum = autoBillNum;
	}

	public String getCustomBillNum() {
		return customBillNum;
	}

	public void setCustomBillNum(String customBillNum) {
		this.customBillNum = customBillNum;
	}

	public String getRcvType() {
		return rcvType;
	}

	public void setRcvType(String rcvType) {
		this.rcvType = rcvType;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getSrcAsnAutoBullNums() {
		return srcAsnAutoBullNums;
	}

	public void setSrcAsnAutoBullNums(String srcAsnAutoBullNums) {
		this.srcAsnAutoBullNums = srcAsnAutoBullNums;
	}

	public List<String> getIncludeHids() {
		return includeHids;
	}

	public void setIncludeHids(List<String> includeHids) {
		this.includeHids = includeHids;
	}

	public List<String> getExcludeHids() {
		return excludeHids;
	}

	public void setExcludeHids(List<String> excludeHids) {
		this.excludeHids = excludeHids;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getTaskStatus() {
		return taskStatus;
	}

	public void setTaskStatus(String taskStatus) {
		this.taskStatus = taskStatus;
	}

	public String getPrintStatus() {
		return printStatus;
	}

	public void setPrintStatus(String printStatus) {
		this.printStatus = printStatus;
	}
}
